openapi: 3.0.1
info:
  title: Manifest Service
  version: 1.0.0
  description: Micro service that collects manifest files from different services and merge them into a single file
paths:
  /api/manifest.json:
    get:
      summary: Returns merged manifest.json
      responses:
        '200':
          description: manifest.json file
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - namespace
                    - path
                  properties:
                    namespace:
                      type: string
                      example: core
                    title:
                      type: string
                      example: switchboard
                    settings:
                      type: boolean
                      example: true
                    index:
                      type: integer
                      example: 100
                    path:
                      type: string
                      example: io.ox/switchboard/extensions
                    requires:
                      type: string
                      example: switchboard
                    device:
                      type: string
                      example: '!smartphone'



